<template>
    <h1>Login Page</h1>

    <v-card width="50%" class="mx-auto">
        <v-card-text>
            <form @submit.prevent="handleSubmit()">
                <v-text-field variant="outlined" label="Email" type="email" v-model="email"></v-text-field>
                <v-text-field variant="outlined" label="Password" type="password" v-model="password"></v-text-field>
                <v-btn type="submit">Login</v-btn>

            </form>
        </v-card-text>
    </v-card>
</template>

<script setup lang="ts">
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();
const auth = useAuth();
const email = ref('');
const password = ref('');

async function handleSubmit() {
    console.log("salut");
    
    await auth.login(email.value, password.value);

    router.push('/');
}
</script>